extends Sprite2D

@export var dark_mode_path := preload("res://Source/Images/Youtube_Layout_Dark.png");
@export var white_mode_path := preload("res://Source/Images/Youtube_Layout.png");

func _ready() -> void:
	_apply_settings();

func _apply_settings() -> void:
	if Global.Dark_Mode:
		self.texture = dark_mode_path;
	else:
		self.texture = white_mode_path;
