extends Node

@export var C_Background_Counter : int = 0;
@export var Glitchy_Afternoon_Buttons_Trigger : int = 0;
@onready var C_Background_Current : Sprite2D = $C_Background;
@onready var Change_SFX : AudioStreamPlayer = $Change_SFX;
@onready var Change_C_SFX : AudioStreamPlayer = $Change_C_SFX;
@onready var Change_Bad_SFX : AudioStreamPlayer = $Change_Bad_SFX;
@onready var Change_C_Bad_SFX : AudioStreamPlayer = $Change_Bad_C_SFX;
@onready var Wardrobe : Sprite2D = $W_Background;

@onready var Timer_Ending_Strings : Timer = $Timer_Ending_Strings;
@onready var Texts_Ending : Array = [$Text_Ending_1,$Text_Ending_2,$Text_Ending_3];
@export var Texts_Ending_Counter : int = 0;

@onready var Timer_Disappear_Kill_Text : Timer = $He_Kill_Me/Timer_Disappear_Kill_Text;

@onready var Wardrobe_Textures : Array = [preload("res://Source/Images/Classic/Game_Assets/Wardrobe_BGs/wardrobe_day_bg.png"),preload("res://Source/Images/Classic/Game_Assets/Wardrobe_BGs/wardrobe_afternoon_bg.png"),preload("res://Source/Images/Classic/Game_Assets/Wardrobe_BGs/wardrobe_bg_night.png"),preload("res://Source/Images/Classic/Game_Assets/Wardrobe_BGs/wardrobe_afternoon_visitor.png")];

@onready var Ready : TextureButton = $Ready_Button

@onready var C_Icons : Sprite2D = $C_Icons;

@onready var Hairs : Sprite2D = $Hairs;
@onready var Tops : Sprite2D = $Tops;
@onready var Bottoms : Sprite2D = $Bottoms;
@onready var Shoes : Sprite2D = $Shoes;
@onready var Accessories : Sprite2D = $Accessories;
@onready var Call_Timer : Timer = $Call_Timer;
@onready var He_Kill_Me : Sprite2D = $He_Kill_Me;

@onready var Timer_Call_Second : Timer = $Call_Two/Timer_Call_Two;

@onready var Door : AudioStreamPlayer = $Freeze/Knock_knock

@onready var Gift_Top : Sprite2D = $Gift_Top;
@onready var Gift_Inside : Sprite2D = $Gift_Inside;
@onready var Gift_Bottom : Sprite2D = $Gift_Bottom;
@onready var Gift_Sequence : AnimationPlayer = $Gift_Top/Gift_Top_Sequence;

@export var Gift_Taken : bool = false;

@onready var Afternoon_bg_freeze : Timer = $Afternoon_Background_Freeze;


@onready var State_Time : int = 0; #0 = Morning | 1 = Afternoon | 2 = Tonight

@onready var Hairs_Options : Array = [preload("res://Source/Images/Classic/Game_Assets/Clothes/Hairs/lacey_hair_1.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Hairs/lacey_hair_2.png"),
preload("res://Source/Images/Classic/Game_Assets/Clothes/Hairs/lacey_hair_3.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Hairs/lacey_hair_4.png"),
preload("res://Source/Images/Classic/Game_Assets/Clothes/Hairs/lacey_hair_5.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Hairs/lacey_hair_6.png")];

@onready var Tops_Options : Array = [preload("res://Source/Images/Classic/Game_Assets/Clothes/Tops/shirt_1.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Tops/shirt_2.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Tops/shirt_3.png"),
preload("res://Source/Images/Classic/Game_Assets/Clothes/Tops/shirt_4.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Tops/shirt_5.png")];

@onready var Bottoms_Options : Array = [preload("res://Source/Images/Classic/Game_Assets/Clothes/Bottoms/pants_1.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Bottoms/pants_2.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Bottoms/pants_3.png"),
preload("res://Source/Images/Classic/Game_Assets/Clothes/Bottoms/pants_4.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Bottoms/pants_5.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Bottoms/pants_6.png")];

@onready var Shoes_Options : Array = [preload("res://Source/Images/Classic/Game_Assets/Clothes/Shoes/shoes_1.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Shoes/shoes_2.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Shoes/shoes_3.png")];

@onready var Accessories_Options : Array = [preload("res://Source/Images/Classic/Game_Assets/Clothes/Accessories/accessories_1.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Accessories/accessories_2.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Accessories/accessories_3.png"),
preload("res://Source/Images/Classic/Game_Assets/Clothes/Accessories/accessories_4.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes/Accessories/accessories_5.png")];

@onready var Buttons_Slots : Array = [$Slot_Button_1, $Slot_Button_2,$Slot_Button_3,
$Slot_Button_4,$Slot_Button_5,$Slot_Button_6];

@onready var C_Icons_Options : Array = [preload("res://Source/Images/Classic/Game_Assets/Clothes_Icons/Clothes_fg_classic_1.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes_Icons/Clothes_fg_classic_2.png"),
preload("res://Source/Images/Classic/Game_Assets/Clothes_Icons/Clothes_fg_classic_3.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes_Icons/Clothes_fg_classic_4.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes_Icons/Clothes_fg_classic_5.png"),preload("res://Source/Images/Classic/Game_Assets/Clothes_Icons/tops_alt_gift.png")];

@onready var WellDone : Sprite2D = $Well_Done
@onready var Sound : AudioStreamPlayer = $Sound;

@onready var left_right_button : Array = [$Left_Button,$Right_Button];

@onready var WellDone_Textures : Array = [preload("res://Source/Images/Classic/Game_Assets/well_done.png"),preload("res://Source/Images/Classic/Game_Assets/well_done_lacey.png"),preload("res://Source/Images/Classic/Game_Assets/well_doneafternoon.png"),preload("res://Source/Images/Classic/Game_Assets/well_doneafternoonh.png"),preload("res://Source/Images/Classic/Game_Assets/well_donenightbad.png")];
@onready var WellDone_Button : TextureButton = $WellDone_Button;
@onready var TimerFreeze : Timer = $Timer_Freeze;
@onready var Freeze : ColorRect = $Freeze;
@onready var Music : AudioStreamPlayer = $Music;
@onready var Music_Afternoon : AudioStreamPlayer = $Music_Afternoon;
@onready var Music_Tonight : AudioStreamPlayer = $Music_Tonight;
@onready var Reset : Timer = $Reset;


@onready var Fade_Tonight : AnimationPlayer = $Freeze/Freeze_Fade;

@onready var Call : Array = [$Call_One];

@onready var Ward_Jumpscare_Afternoon : AnimationPlayer = $WardrobeJumpscare/Jumping_The_Scare;
@onready var Jumpscare_lACEY : Sprite2D = $WardrobeJumpscare;

@onready var Radial : Sprite2D = $Radial;
@onready var Music_Bad_Afternoon : AudioStreamPlayer = $Music_Bad;
@onready var Sniffing : AudioStreamPlayer = $Sniffing_Stalker;

@onready var Lacey_Base : Sprite2D = $Lacey_Base;
@onready var Call_Two : AudioStreamPlayer = $Call_Two;

func _on_left_button_pressed() -> void:
	if C_Background_Counter > 0:
		C_Background_Counter -= 1;
		_update_clothes_icons();
		if !Radial.visible:
			Change_SFX.play();
		else:
			Change_Bad_SFX.play();
			Change_Bad_SFX.max_polyphony += 1;
		_update_slots_buttons_color()
func _on_right_button_pressed() -> void:
	if C_Background_Counter < 4:
		C_Background_Counter += 1;
		_update_clothes_icons();
		if !Radial.visible:
			Change_SFX.play();
		else:
			Change_Bad_SFX.play();
			Change_Bad_SFX.max_polyphony += 1;
		_update_slots_buttons_color()
func _on_ready_button_pressed() -> void:
	if Texts_Ending[0].visible:
		Texts_Ending[0].visible = false;
	if Texts_Ending[1].visible:
		Texts_Ending[1].visible = false;
	if Texts_Ending[2].visible:
		Texts_Ending[2].visible = false;
	if !Timer_Ending_Strings.is_stopped():
		Timer_Ending_Strings.stop();
	if Change_C_SFX.is_playing():
		Change_C_SFX.stop();
	if Change_SFX.is_playing():
		Change_SFX.stop();
	if Change_C_Bad_SFX.is_playing():
		Change_C_Bad_SFX.stop();
	if Change_Bad_SFX.is_playing():
		Change_Bad_SFX.stop();
	if Music_Tonight.is_playing():
		Music_Tonight.stop();
	if State_Time == 1:
		Radial.modulate.a = 0.5;
		Sound.pitch_scale = 0.54;
		Sound.volume_db += 15;
		Sniffing.stop();
		Music_Afternoon.pitch_scale = 0.84;
		WellDone.modulate = Color(0,0,0);
		Afternoon_bg_freeze.start();
	if State_Time <= 0:
		Sound.play();
	WellDone.visible = true;
	Buttons_Slots[0].disabled = true;
	Buttons_Slots[1].disabled = true;
	Buttons_Slots[2].disabled = true;
	Buttons_Slots[3].disabled = true;
	Buttons_Slots[4].disabled = true;
	Buttons_Slots[5].disabled = true;
	Ready.disabled = true;
	left_right_button[0].disabled = true;
	left_right_button[1].disabled = true;
	if State_Time != 1:
		WellDone_Button.visible = true;
	if Music_Tonight.is_playing():
		Music_Tonight.stop();

func _on_slot_button_1_pressed() -> void:
	match(C_Background_Counter):
		0:
			if Hairs.texture != Hairs_Options[0]:
				Hairs.texture = Hairs_Options[0];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		1:
			if Tops.texture != Tops_Options[0]:
				Tops.texture = Tops_Options[0];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		2:
			if Bottoms.texture != Bottoms_Options[0]:
				Bottoms.texture = Bottoms_Options[0];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		3:
			if Shoes.texture != Shoes_Options[0]:
				Shoes.texture = Shoes_Options[0];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		4:
			if Accessories.texture != Accessories_Options[0]:
				Accessories.texture = Accessories_Options[0];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
				
				if Radial.visible:
					_game_buttons_get_glitchy();
func _on_slot_button_2_pressed() -> void:
	match(C_Background_Counter):
		0:
			if Hairs.texture != Hairs_Options[1]:
				Hairs.texture = Hairs_Options[1];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		1:
			if Tops.texture != Tops_Options[1]:
				Tops.texture = Tops_Options[1];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		2:
			if Bottoms.texture != Bottoms_Options[1]:
				Bottoms.texture = Bottoms_Options[1];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		3:
			if Shoes.texture != Shoes_Options[1]:
				Shoes.texture = Shoes_Options[1];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		4:
			if Accessories.texture != Accessories_Options[1]:
				Accessories.texture = Accessories_Options[1];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
				
				if Radial.visible:
					_game_buttons_get_glitchy();
func _on_slot_button_3_pressed() -> void:
	match(C_Background_Counter):
		0:
			if Hairs.texture != Hairs_Options[2]:
				Hairs.texture = Hairs_Options[2];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		1:
			if Tops.texture != Tops_Options[2]:
				Tops.texture = Tops_Options[2];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		2:
			if Bottoms.texture != Bottoms_Options[2]:
				Bottoms.texture = Bottoms_Options[2];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		3:
			if  Shoes.texture != Shoes_Options[2]:
				Shoes.texture = Shoes_Options[2];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		4:
			if Accessories.texture != Accessories_Options[2]:
				Accessories.texture = Accessories_Options[2];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()

				if Radial.visible:
					_game_buttons_get_glitchy();
func _on_slot_button_4_pressed() -> void:
	match(C_Background_Counter):
		0:
			if Hairs.texture != Hairs_Options[3]:
				Hairs.texture = Hairs_Options[3];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		1:
			if Tops.texture != Tops_Options[3]:
				Tops.texture = Tops_Options[3];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		2:
			if Bottoms.texture != Bottoms_Options[3]:
				Bottoms.texture = Bottoms_Options[3];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		4:
			if Accessories.texture != Accessories_Options[3]:
				Accessories.texture = Accessories_Options[3];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()

				if Radial.visible:
					_game_buttons_get_glitchy();
func _on_slot_button_5_pressed() -> void:
	match(C_Background_Counter):
		0:
			if Hairs.texture != Hairs_Options[4]:
				Hairs.texture = Hairs_Options[4];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		1:
			if Tops.texture != Tops_Options[4]:
				Tops.texture = Tops_Options[4];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		2:
			if Bottoms.texture != Bottoms_Options[4]:
				Bottoms.texture = Bottoms_Options[4];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		4:
			if Accessories.texture != Accessories_Options[4]:
				Accessories.texture = Accessories_Options[4];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()

				if Radial.visible:
					_game_buttons_get_glitchy();
func _on_slot_button_6_pressed() -> void:
	match(C_Background_Counter):
		0:
			if Hairs.texture != Hairs_Options[5]:
				Hairs.texture = Hairs_Options[5];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
		1:
			if Buttons_Slots[5].modulate != Color(1,0.49,0.69) && State_Time == 2 && !Gift_Taken:
				Gift_Taken = true;
				Change_C_SFX.pitch_scale = 1.5;
				Change_C_SFX.play();
				Buttons_Slots[0].disabled = true;
				Buttons_Slots[1].disabled = true;
				Buttons_Slots[2].disabled = true;
				Buttons_Slots[3].disabled = true;
				Buttons_Slots[4].disabled = true;
				Buttons_Slots[5].disabled = true;
				left_right_button[0].disabled = true;
				left_right_button[1].disabled = true;
				Buttons_Slots[0].modulate = Color(1,1,1);
				Buttons_Slots[1].modulate = Color(1,1,1);
				Buttons_Slots[2].modulate = Color(1,1,1);
				Buttons_Slots[3].modulate = Color(1,1,1);
				Buttons_Slots[4].modulate = Color(1,1,1);
				Buttons_Slots[5].modulate = Color(1,0.49,0.69);
		2:
			if Bottoms.texture != Bottoms_Options[5]:
				Bottoms.texture = Bottoms_Options[5];
				if !Radial.visible:
					Change_C_SFX.play();
				else:
					Change_C_Bad_SFX.play();
				_update_ready_button();
				_update_slots_buttons_color()
	
func _update_clothes_icons() -> void:
	match(C_Background_Counter):
		0:
			C_Icons.texture = C_Icons_Options[2];
			_update_ready_button();
		1:
			if State_Time != 2 || Gift_Taken:
				C_Icons.texture = C_Icons_Options[4];
			elif State_Time == 2 && !Gift_Taken:
				C_Icons.texture = C_Icons_Options[5];
			_update_ready_button();
		2:
			C_Icons.texture = C_Icons_Options[1];
			_update_ready_button();
		3:
			C_Icons.texture = C_Icons_Options[3];
			_update_ready_button();
		4:
			C_Icons.texture = C_Icons_Options[0];
			_update_ready_button();

func _update_ready_button() -> void:
	if Hairs.texture != null && Tops.texture != null && Bottoms.texture != null && Shoes.texture != null && Accessories.texture != null && Call_Timer.is_stopped() && !Gift_Top.visible:
		Ready.disabled = false;
		
func _on_well_done_button_pressed() -> void:
	WellDone_Button.visible = false;
	if Sound.is_playing():
		Sound.stop();
	if State_Time != 2:
		TimerFreeze.start();
	elif State_Time >= 2:
		get_tree().change_scene_to_file("res://Source/Scenes/Classic/classic_mc_donalds_scene.tscn");
	match(State_Time):
		0:
			WellDone.texture = WellDone_Textures[1];
			var segment_duration : float = 0.1;
			var music_pos := Music.get_playback_position();
			for i in range(8):
				Music.play(music_pos);
				await get_tree().create_timer(segment_duration).timeout;
				if Music.is_playing():
					Music.stop();
		1:
			WellDone.texture = WellDone_Textures[3];
			Music_Afternoon.stop();
			Lacey_Base.visible = false;

func _on_timer_freeze_timeout() -> void:
	Freeze.visible = true;
	if State_Time == 1:
		Timer_Disappear_Kill_Text.start();
		He_Kill_Me.visible = true;
		Radial.visible = false;
	Reset.start();
	if State_Time < 2:
		State_Time += 1;
		
func _on_reset_timeout() -> void:
	match(State_Time):
		1:
			Call_Timer.start();
			Wardrobe.texture = Wardrobe_Textures[1];
			WellDone.texture = WellDone_Textures[2];
			Music_Afternoon.play();
		2:
			Fade_Tonight.play("Fade");
			Change_C_SFX.pitch_scale = 0.5;
			Change_SFX.pitch_scale = 0.7;
			_game_fix();
			Wardrobe.texture = Wardrobe_Textures[2];
			WellDone.texture = WellDone_Textures[4];
			Music_Tonight.play();
			Gift_Top.visible = true;
	WellDone.visible = false;
	Buttons_Slots[0].disabled = false;
	Buttons_Slots[1].disabled = false;
	Buttons_Slots[2].disabled = false;
	Buttons_Slots[3].disabled = false;
	Buttons_Slots[4].disabled = false;
	Buttons_Slots[5].disabled = false;
	left_right_button[0].disabled = false;
	left_right_button[1].disabled = false;
	WellDone_Button.visible = false;
	if State_Time != 2:
		Freeze.visible = false;
	Hairs.texture = Hairs_Options[0];
	Bottoms.texture = null;
	Tops.texture = null;
	Bottoms.texture = null;
	Shoes.texture = null;
	Accessories.texture = null;
	C_Background_Counter = 0;
	if !Lacey_Base.visible:
		Lacey_Base.visible = true;
	_update_clothes_icons();
	_update_slots_buttons_color();
	
func _update_slots_buttons_color() -> void:
	if C_Background_Counter == 0 && Hairs.texture == Hairs_Options[0] || C_Background_Counter == 1 && Tops.texture == Tops_Options[0] || C_Background_Counter == 2 && Bottoms.texture == Bottoms_Options[0] || C_Background_Counter == 3 && Shoes.texture == Shoes_Options[0] || C_Background_Counter == 4 && Accessories.texture == Accessories_Options[0]:
		Buttons_Slots[0].modulate = Color(1,0.49,0.69);
	elif C_Background_Counter == 0 && Hairs.texture != Hairs_Options[0] || C_Background_Counter == 1 && Tops.texture != Tops_Options[0] || C_Background_Counter == 2 && Bottoms.texture != Bottoms_Options[0] || C_Background_Counter == 3 && Shoes.texture != Shoes_Options[0] || C_Background_Counter == 4 && Accessories.texture != Accessories_Options[0]:
		Buttons_Slots[0].modulate = Color(1,1,1);
	if C_Background_Counter == 0 && Hairs.texture == Hairs_Options[1] || C_Background_Counter == 1 && Tops.texture == Tops_Options[1] || C_Background_Counter == 2 && Bottoms.texture == Bottoms_Options[1] || C_Background_Counter == 3 && Shoes.texture == Shoes_Options[1] || C_Background_Counter == 4 && Accessories.texture == Accessories_Options[1]:
		Buttons_Slots[1].modulate = Color(1,0.49,0.69);
	elif C_Background_Counter == 0 && Hairs.texture != Hairs_Options[1] || C_Background_Counter == 1 && Tops.texture != Tops_Options[1] || C_Background_Counter == 2 && Bottoms.texture != Bottoms_Options[1] || C_Background_Counter == 3 && Shoes.texture != Shoes_Options[1] || C_Background_Counter == 4 && Accessories.texture != Accessories_Options[1]:
		Buttons_Slots[1].modulate = Color(1,1,1);
	if C_Background_Counter == 0 && Hairs.texture == Hairs_Options[2] || C_Background_Counter == 1 && Tops.texture == Tops_Options[2] || C_Background_Counter == 2 && Bottoms.texture == Bottoms_Options[2] || C_Background_Counter == 3 && Shoes.texture == Shoes_Options[2] || C_Background_Counter == 4 && Accessories.texture == Accessories_Options[2]:
		Buttons_Slots[2].modulate = Color(1,0.49,0.69);
	elif C_Background_Counter == 0 && Hairs.texture != Hairs_Options[2] || C_Background_Counter == 1 && Tops.texture != Tops_Options[2] || C_Background_Counter == 2 && Bottoms.texture != Bottoms_Options[2] || C_Background_Counter == 3 && Shoes.texture != Shoes_Options[2] || C_Background_Counter == 4 && Accessories.texture != Accessories_Options[2]:
		Buttons_Slots[2].modulate = Color(1,1,1);
	if C_Background_Counter == 0 && Hairs.texture == Hairs_Options[3] || C_Background_Counter == 1 && Tops.texture == Tops_Options[3] || C_Background_Counter == 2 && Bottoms.texture == Bottoms_Options[3] || C_Background_Counter == 4 && Accessories.texture == Accessories_Options[3]:
		Buttons_Slots[3].modulate = Color(1,0.49,0.69);
	elif C_Background_Counter == 0 && Hairs.texture != Hairs_Options[3] || C_Background_Counter == 1 && Tops.texture != Tops_Options[3] || C_Background_Counter == 2 && Bottoms.texture != Bottoms_Options[3] || C_Background_Counter == 3 || C_Background_Counter == 4 && Accessories.texture != Accessories_Options[3]:
		Buttons_Slots[3].modulate = Color(1,1,1);
	if C_Background_Counter == 0 && Hairs.texture == Hairs_Options[4] || C_Background_Counter == 1 && Tops.texture == Tops_Options[4] || C_Background_Counter == 2 && Bottoms.texture == Bottoms_Options[4]  || C_Background_Counter == 4 && Accessories.texture == Accessories_Options[4]:
		Buttons_Slots[4].modulate = Color(1,0.49,0.69);
	elif C_Background_Counter == 0 && Hairs.texture != Hairs_Options[4] || C_Background_Counter == 1 && Tops.texture != Tops_Options[4] || C_Background_Counter == 2 && Bottoms.texture != Bottoms_Options[4]  || C_Background_Counter == 3 || C_Background_Counter == 4 && Accessories.texture != Accessories_Options[4]:
		Buttons_Slots[4].modulate = Color(1,1,1);
	if C_Background_Counter == 0 && Hairs.texture == Hairs_Options[5] || C_Background_Counter == 2 && Bottoms.texture == Bottoms_Options[5]:
		Buttons_Slots[5].modulate = Color(1,0.49,0.69);
	elif C_Background_Counter == 0 && Hairs.texture != Hairs_Options[5] || C_Background_Counter == 1 || C_Background_Counter == 2 && Bottoms.texture != Bottoms_Options[5] || C_Background_Counter == 3 || C_Background_Counter == 4:
		Buttons_Slots[5].modulate = Color(1,1,1);
		
func _on_call_one_finished() -> void:
	Jumpscare_lACEY.visible = true;
	Ward_Jumpscare_Afternoon.play("Jump");

func _on_call_timer_timeout() -> void:
	Call[0].play();
	Music_Afternoon.stop();
	Buttons_Slots[0].disabled = true;
	Buttons_Slots[1].disabled = true;
	Buttons_Slots[2].disabled = true;
	Buttons_Slots[3].disabled = true;
	Buttons_Slots[4].disabled = true;
	Buttons_Slots[5].disabled = true;
	left_right_button[0].disabled = true;
	left_right_button[1].disabled = true;

func _on_jumping_the_scare_animation_finished(anim_name: StringName) -> void:
	if anim_name == "Jump":
		Jumpscare_lACEY.visible = false;
		Buttons_Slots[0].disabled = false;
		Buttons_Slots[1].disabled = false;
		Buttons_Slots[2].disabled = false;
		Buttons_Slots[3].disabled = false;
		Buttons_Slots[4].disabled = false;
		Buttons_Slots[5].disabled = false;
		left_right_button[0].disabled = false;
		left_right_button[1].disabled = false;
		Radial.visible = true;
		Wardrobe.texture = Wardrobe_Textures[3];
		Music_Bad_Afternoon.play();
		Music_Afternoon.volume_db = -80;
		Music_Afternoon.play();
		_update_ready_button();

func _on_afternoon_background_freeze_timeout() -> void:
	WellDone.modulate = Color(1,1,1);
	Music_Bad_Afternoon.stop();
	Music_Afternoon.volume_db = 0;
	WellDone_Button.visible = true;
	Sound.play();

func _game_buttons_get_glitchy():
	if Glitchy_Afternoon_Buttons_Trigger < 2:
		Glitchy_Afternoon_Buttons_Trigger += 1;
		
	if Glitchy_Afternoon_Buttons_Trigger >= 2:
		Buttons_Slots[0].scale.x = 1;
		Buttons_Slots[0].scale.y = 1;
				
		Buttons_Slots[1].scale.x = 1;
		Buttons_Slots[1].scale.y = 1;
				
		Buttons_Slots[2].scale.x = 1;
		Buttons_Slots[2].scale.y = 1;
				
		Buttons_Slots[3].scale.x = 1;
		Buttons_Slots[3].scale.y = 1;
				
		Buttons_Slots[4].scale.x = 1;
		Buttons_Slots[4].scale.y = 1;
				
		Buttons_Slots[5].scale.x = 1;
		Buttons_Slots[5].scale.y = 1;
				
		Buttons_Slots[0].position.x = 1068;
		Buttons_Slots[1].position.x = 1182;
		Buttons_Slots[2].position.x = 1068;
		Buttons_Slots[3].position.x = 1182;
		Buttons_Slots[4].position.x = 1068;
		Buttons_Slots[5].position.x = 1182;
	
		Buttons_Slots[0].position.y = 361;
		Buttons_Slots[1].position.y = 361;
		Buttons_Slots[2].position.y = 472;
		Buttons_Slots[3].position.y = 472;
		Buttons_Slots[4].position.y = 585;
		Buttons_Slots[5].position.y = 585;

func _game_fix() -> void:
	Buttons_Slots[0].scale.x = 1.8;
	Buttons_Slots[0].scale.y = 1.8;
				
	Buttons_Slots[1].scale.x = 1.8;
	Buttons_Slots[1].scale.y = 1.8;
				
	Buttons_Slots[2].scale.x = 1.8;
	Buttons_Slots[2].scale.y = 1.8;
				
	Buttons_Slots[3].scale.x = 1.8;
	Buttons_Slots[3].scale.y = 1.8;
				
	Buttons_Slots[4].scale.x = 1.8;
	Buttons_Slots[4].scale.y = 1.8;
				
	Buttons_Slots[5].scale.x = 1.8;
	Buttons_Slots[5].scale.y = 1.8;
				
	Buttons_Slots[0].position.x = 1188.5;
	Buttons_Slots[1].position.x = 1399.3;
	Buttons_Slots[2].position.x = 1189;
	Buttons_Slots[3].position.x = 1399.5;
	Buttons_Slots[4].position.x = 1188.5;
	Buttons_Slots[5].position.x = 1399.5;
	
	Buttons_Slots[0].position.y = 255.5;
	Buttons_Slots[1].position.y = 256.5;
	Buttons_Slots[2].position.y = 458.2;
	Buttons_Slots[3].position.y = 457.5;
	Buttons_Slots[4].position.y = 660.5;
	Buttons_Slots[5].position.y = 659.5;
	
func _on_timer_disappear_kill_text_timeout() -> void:
	He_Kill_Me.visible = false;

func _on_change_c_sfx_finished() -> void:
	if Change_C_SFX.pitch_scale == 1.5:
		Gift_Top.modulate.a = 1;
		Gift_Inside.visible = true;
		Gift_Bottom.visible = true;
		Gift_Sequence.play("Sequence");


func _on_gift_top_sequence_animation_finished(anim_name: StringName) -> void:
	if anim_name == "Sequence":
		Music_Tonight.volume_db = 0;
		Call_Two.play();
		Timer_Call_Second.start();
		Door.stop();
		Music_Tonight.stop();
		Change_C_SFX.pitch_scale = 0.5;
		Gift_Top.visible = false;
		Gift_Inside.visible = false;
		Gift_Bottom.visible = false;
		C_Icons.visible = false;
		Buttons_Slots[5].modulate = Color(1,1,1);
		C_Icons.texture = C_Icons_Options[4];

func _on_timer_call_two_timeout() -> void:
	if !WellDone.visible:
		Music_Tonight.play();

func _on_timer_ending_strings_timeout() -> void:
	Texts_Ending_Counter += 1;
	
	match(Texts_Ending_Counter):
		1:
			Texts_Ending[0].visible = true;
			Timer_Ending_Strings.wait_time = 1;
			Timer_Ending_Strings.start()
		2:
			Texts_Ending[1].visible = true;
			Timer_Ending_Strings.wait_time = 1;
			Timer_Ending_Strings.start()
		3:
			Texts_Ending[2].visible = true;
			Timer_Ending_Strings.wait_time = 1;
			Timer_Ending_Strings.start()
		4:
			Texts_Ending[0].visible = false;
			Texts_Ending[1].visible = false;
			Texts_Ending[2].visible = false;
			Timer_Ending_Strings.stop();

func _on_call_two_finished() -> void:
	C_Icons.visible = true;
	Buttons_Slots[0].disabled = false;
	Buttons_Slots[1].disabled = false;
	Buttons_Slots[2].disabled = false;
	Buttons_Slots[3].disabled = false;
	Buttons_Slots[4].disabled = false;
	Buttons_Slots[5].disabled = false;
	left_right_button[0].disabled = false;
	left_right_button[1].disabled = false;
	Change_C_SFX.volume_db = -80;
	Change_SFX.volume_db = -80;
	Timer_Ending_Strings.start();
	_update_slots_buttons_color();
	_update_ready_button();
